
local gamefile = ...
assert(gamefile, "You must specify the targeted file (example: game.lua)")

-- load the lua jail lib
love.filesystem.load((BASEDIR or "").."lib/luajail.lua")()

-- load the love jail part
love.filesystem.load((BASEDIR or "").."lib/lovejail.lua")()

luajail.jail.verbose = verbose -- for debug
if runwithoutjail == true then
	luajail.disable = true
end

-- put the game into jail environnement
local game = love.filesystem.load(gamefile)

-- run the game inside the jail
luajail.run(game)

